This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 476789 - Review Request: python-repoze-what - Authorization for WSGI applications
Review Request: python-repoze-what - Authorization for WSGI applications
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lorenzo Villani
Fedora Extras Quality Assurance
:
: 468805 (view as bug list)
Depends On:
Blocks: 468230 499486 501576
  Show dependency treegraph
 
Reported: 2008-12-17 00:15 EST by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.0.8-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-08 15:22:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lorenzo: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-12-17 00:15:16 EST
Spec URL: http://lmacken.fedorapeople.org/rpms/python-repoze-what.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-repoze-what-1.0-0.1.rc1.r2803.fc10.src.rpm
Description:
`repoze.what` is an `authorization framework` for WSGI applications,
based on `repoze.who` (which deals with `authentication`).

On the one hand, it enables an authorization system based on the groups to
which the `authenticated or anonymous` user belongs and the permissions granted
to such groups by loading these groups and permissions into the request on the
way in to the downstream WSGI application.

And on the other hand, it enables you to manage your groups and permissions
from the application itself or another program, under a backend-independent
API. For example, it would be easy for you to switch from one back-end to
another, and even use this framework to migrate the data.

It's highly extensible, so it's very unlikely that it will get in your way.
Among other things, you can extend it to check for many other conditions (such
as checking that the user comes from a given country, based on her IP address,
for example).
Comment 1 Luke Macken 2008-12-17 00:25:39 EST
*** Bug 468805 has been marked as a duplicate of this bug. ***
Comment 2 Jan ONDREJ 2008-12-17 08:28:35 EST
python-devel is a standard requirement of python-setuptools-devel, so you can remove python-devel from BR.

Documentation from docs directory is missing in rpm package. Please, consider adding it into package or may be into a doc subpackage.
You need this to build docs:

BuildRequires: python-sphinx

make -C docs html
or
make -C docs htmlhelp

There is no more problems with this package.
Comment 3 Jesse Keating 2008-12-17 17:45:37 EST
Jan, are you taking the review?
Comment 4 Jan ONDREJ 2008-12-18 01:59:50 EST
I don't know, if I will have enough time after Luke's reply. I will make a decision later. It's the purpose, why this package was not assigned to me.

If Luke fixes doc issue, I will approve this package, but if you want, you can take this package.
Comment 5 Jan ONDREJ 2008-12-20 02:05:29 EST
New release available:

repoze.what 1.0rc2 / XML plugin
Comment 6 Luke Macken 2009-02-09 12:21:24 EST
http://lmacken.fedorapeople.org/rpms/python-repoze-what-1.0.4-1.fc10.src.rpm
http://lmacken.fedorapeople.org/rpms/python-repoze-what.spec

* Mon Feb 09 2009 Luke Macken <lmacken@redhat.com> - 1.0.4-1
- Update to 1.0.4
- Fix the URL


I had no luck getting the Sphinx documentation to build.
Comment 7 Jan ONDREJ 2009-02-09 13:59:40 EST
Try this:

BuildRequires:  python-sphinx

...
%build
%{__python} setup.py build
mkdir tests
%{__make} -C docs html

...
%doc docs/build/html


This works for me.
Comment 8 Lorenzo Villani 2009-05-15 14:51:52 EDT
Side notes: 1.0.8 is out

#########################################
# MUST ITEMS
#########################################


--> rpmlint must be run on every package. The output should be posted in the review.
    Status: PASS
    Additional comments:
[lvillani@normandy SPECS (master)]$ rpmlint /var/lib/mock/fedora-11-i386/result/python-repoze-what-1.0.4-1.fc11.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



--> The package must be named according to the  Package Naming Guidelines
    Status: PASS



--> The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
    Status: PASS
    Additional comments: Exemption: It's a python package



--> The package must meet the  Packaging Guidelines
    Status: PASS
    Additional comments: Looks good



--> The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines.
    Status: PASS
    Additional comments: However, the package provides a BSD-like license (such licenses are not listed in the License page)



--> The License field in the package spec file must match the actual license.
    Status: PASS
    Additional comments: See above



--> If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
    Status: PASS



--> The spec file must be written in American English.
    Status: PASS



--> The spec file for the package MUST be legible.
    Status: PASS



--> The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the  Source URL Guidelines for how to deal with this.
    Status: PASS



--> The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    Status: PASS
    Additional comments: It does: mock profile Config(fedora-11-i386)



--> If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
    Status: PASS
    Additional comments: It's a noarch package



--> All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
    Status: PASS



--> The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
    Status: PASS



--> Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker default paths, must call ldconfig in %post and %postun.
    Status: PASS



--> If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
    Status: PASS



--> A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
    Status: PASS



--> A Fedora package must not list a file more than once in the spec file's %files listings.
    Status: PASS



--> Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
    Status: PASS



--> Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
    Status: PASS



--> Each package must consistently use macros.
    Status: PASS



--> The package must contain code, or permissable content.
    Status: PASS



--> Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
    Status: FAIL
    Additional comments: You are not shipping the documentation files in docs/



--> If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
    Status: PASS



--> Header files must be in a -devel package.
    Status: PASS
    Additional comments: No header files



--> Static libraries must be in a -static package.
    Status: PASS
    Additional comments: No static libraries



--> Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
    Status: PASS
    Additional comments: No pkgconfig files



--> If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
    Status: PASS
    Additional comments: No native libraries



--> In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
    Status: PASS
    Additional comments: No devel packages



--> Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
    Status: PASS



--> Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
    Status: PASS
    Additional comments: non-GUI



--> Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
    Status: PASS



--> At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
    Status: PASS



--> All filenames in rpm packages must be valid UTF-8.
    Status: PASS



#########################################
# SHOULD ITEMS
#########################################


--> If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
    Status: FAIL
    Additional comments: If possible, do that



--> The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
    Status: FAIL



--> The reviewer should test that the package builds in mock.
    Status: PASS



--> The package should compile and build into binary rpms on all supported architectures.
    Status: PASS
    Additional comments: Cannot test, I don't have PPC builders, however, this is a noarch package. Marking as PASS.



--> The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
    Status: PASS



--> If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
    Status: PASS
    Additional comments: No scriptlets



--> Usually, subpackages other than devel should require the base package using a fully versioned dependency.
    Status: PASS
    Additional comments: No subpkgs



--> The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
    Status: PASS
    Additional comments: No pkgconfig files



Generated with reviewtool 0.0.1
Comment 9 Luke Macken 2009-05-21 21:07:26 EDT
http://lmacken.fedorapeople.org/rpms/python-repoze-what.spec
http://lmacken.fedorapeople.org/rpms/python-repoze-what-1.0.8-1.fc10.src.rpm

* Thu May 21 2009 Luke Macken <lmacken@redhat.com> - 1.0.8-1
- Update to 1.0.8
- Create a docs subpackage for the compiled Sphinx documentation.
Comment 10 Lorenzo Villani 2009-05-22 09:12:12 EDT
Looks good
Comment 11 Luke Macken 2009-05-27 15:49:05 EDT
New Package CVS Request
=======================
Package Name: python-repoze-what
Short Description: Authorization for WSGI applications
Owners: lmacken
Branches: F-11 F-10 EL-5
Comment 12 Jason Tibbitts 2009-05-27 15:56:58 EDT
CVS done.
Comment 13 Fedora Update System 2009-05-29 17:00:39 EDT
python-repoze-what-1.0.8-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-repoze-what-1.0.8-1.fc10
Comment 14 Fedora Update System 2009-05-29 17:00:45 EDT
python-repoze-what-1.0.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-repoze-what-1.0.8-1.fc11
Comment 15 Fedora Update System 2009-06-02 10:21:40 EDT
python-repoze-what-1.0.8-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-repoze-what'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5742
Comment 16 Fedora Update System 2009-06-02 10:26:43 EDT
python-repoze-what-1.0.8-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-repoze-what'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5753
Comment 17 Michael Schwendt 2009-06-02 11:46:24 EDT
> Requires: %{name}-%{version}

Doesn't work as it cannot be resolved. Ought to be

  Requires: %{name} = %{version}

although -doc/-docs subpackages typically don't need the main package at all.

[...]

Note that according to the guidelines, reviewers should _install_ a package at least and perform basic runtime tests. That would have caught this mistake.
Comment 18 Luke Macken 2009-07-07 22:33:18 EDT
I fixed this in rawhide a while back, but never pushed it out anywhere.  I'm building a fix across all branches now.  Thanks for the heads up!
Comment 19 Fedora Update System 2009-07-29 12:31:29 EDT
python-repoze-what-1.0.8-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-repoze-what-1.0.8-2.fc11
Comment 20 Fedora Update System 2009-07-29 12:31:36 EDT
python-repoze-what-1.0.8-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-repoze-what-1.0.8-2.fc10
Comment 21 Fedora Update System 2009-07-31 14:03:09 EDT
python-repoze-what-1.0.8-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-repoze-what'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8142
Comment 22 Fedora Update System 2009-07-31 14:07:59 EDT
python-repoze-what-1.0.8-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-repoze-what'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8182
Comment 23 Fedora Update System 2009-08-08 15:22:48 EDT
python-repoze-what-1.0.8-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2009-08-08 15:32:26 EDT
python-repoze-what-1.0.8-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.